
Core - Task # 34094

Task # 31461 (Resolved): The Big Cleanup 4.7
Task # 33743 (Resolved): Strictly only allow UTF-8

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: Code Cleanup
Created: 2012-02-19 Assigned To: Steffen Ritter
Updated: 2012-02-27 Due date: 2012-02-20
TYPO3 Version: 4.7
PHP Version:
Complexity:
Sprint Focus:
Subject: Change fallbacks to iso-8859-1 to utf-8
Description

At many places in Core there have been charset fallbacks if forceCharset (or other charset definitions) have been set.
Until 4.5 iso-8859-1 has been default charset for TYPO3 but every set via forceCharset.
forceCharset has been removed at many places the default charset is used. this default charset has to be changed to be utf-8.

Related issues:
related to Core - Bug # 39287: get_html_translation_table expects at most 2 p... Resolved 2012-07-26
related to TypoScript Reference (TSref) - Task # 34297: Update references to ... Closed 2012-02-26
related to Inside TYPO3 - Task # 35252: For TYPO3 4.7: Update reference to $T... New 2012-03-26
related to Localization Guide - Task # 35250: For TYPO3 4.7: Update reference... New 2012-03-26
related to TCA Reference - Task # 35251: For TYPO3 4.7: Update reference to $... Closed 2012-03-26
follows Core - Bug # 34092: Remove all references to forceCharset setting Resolved 2012-02-19 2012-02-19
precedes Core - Task # 34106: Remove useless code after utf-8 code conversion Resolved 2012-02-21 2012-02-21

Associated revisions
Revision 4579bbec - 2012-02-26 20:34 - Steffen Ritter

[TASK] Change various functions to use utf-8 by default

Many functions in TYPO3core expect a character set parameter to be
defined. Their default was iso-8859-1 in the past and is changed to
utf-8 now.

Change-Id: I9c228821e95167b67811c8475880707d5c77bdb7
Resolves: #34094
Releases: 4.7
Reviewed-on: http://review.typo3.org/9101
Reviewed-by: Michael Stucki
Tested-by: Michael Stucki

History
#1 - 2012-02-19 12:43 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9101
#2 - 2012-02-20 10:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9101

#3 - 2012-02-22 15:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9101

#4 - 2012-02-23 09:02 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9101

#5 - 2012-02-26 17:49 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9101

#6 - 2012-02-26 18:02 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9101

#7 - 2012-02-26 18:08 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9101

#8 - 2012-02-27 02:31 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4579bbecb0fd3007bfa3cc79eda73459c42e9fad.
